%define		php_name	php%{?php_suffix}
%define		modname	rpmreader
%define		status		beta
Summary:	%{modname} - RPM file meta information reader
Summary(pl.UTF-8):	%{modname} - odczyt metainformacji z plików RPM
Name:		%{php_name}-pecl-%{modname}
Version:	0.3
Release:	5
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	73aca25e6f5b7b17dffe4dfb63110505
URL:		http://pecl.php.net/package/rpmreader/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rpmreader is an extension that provides the ability to read RPM
Package Manager (RPM) files' header information. This extension
currently does not provide the functionality to read the signature or
archive sections of the RPM file.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
rpmreader jest rozszerzeniem umożliwiającym odczyt informacji z
nagłówków plików RPM (RPM Package Manager). Rozszerzenie to na chwilę
obecną nie udostępnia możliwości odczytu podpisu ani zawartości
archiwum pliku RPM.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS examples
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-rpmreader.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 84dde7e
- release 5 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 5a613db
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 41443d5
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f3890dd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a427186
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 9576dbe
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 36d8df2
- rel 3 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 95fed7c
- BR rpmmacros for fixed %requires_php_extension

* Sat Dec 24 2005 Elan Ruusamäe <glen@pld-linux.org> 62d5104
- rel 2 (rebuild with new php)

* Thu Nov 03 2005 Jakub Bogusz <qboosh@pld-linux.org> c745084
- typo, wrapped

* Tue Nov 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 5d72e2b
- obsolete

* Tue Nov 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 39c6c5b
- udpated to 0.3
- tsrmls.patch applied upstream

* Tue Nov 01 2005 Elan Ruusamäe <glen@pld-linux.org> 55624ab
- License is PHP 3.0 according to LICENSE

* Tue Nov 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 5ca7fc1
- new

* Tue Nov 01 2005 Adam Gołębiowski <adamg@pld-linux.org> a55788b
- make it build with ZTS enabled

